%define base_name	lablgtk
%define name		ocaml-%{base_name}
%define version		1.2.7
%define release		%mkrel 12

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	OCaml interface to the GIMP Tool Kit
Source:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgtk-%{version}.tar.bz2
URL:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgtk.html
License:	LGPL
Group:		Development/Other
BuildRequires:	camlp4
BuildRequires:	gtk-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
OCaml interface to the GIMP Tool Kit.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	gtk-devel

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{base_name}-%{version}

%build
make configure
make
make opt

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{ocaml_sitelib}/stublibs
make install \
	BINDIR=%{buildroot}%{_bindir} \
	INSTALLDIR=%{buildroot}%{ocaml_sitelib}/lablgtk \
	DLLDIR=%{buildroot}%{ocaml_sitelib}/stublibs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING CHANGES README
%dir %{ocaml_sitelib}/lablgtk
%{ocaml_sitelib}/lablgtk/*.cmi
%{ocaml_sitelib}/stublibs/*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{ocaml_sitelib}/lablgtk/*
%exclude %{ocaml_sitelib}/lablgtk/*.cmi


%changelog
* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-12mdv2008.0
+ Revision: 77687
- ocaml policy compliance

* Tue Jul 03 2007 Pixel <pixel@mandriva.com> 1.2.7-11mdv2008.0
+ Revision: 47403
- rebuild for new ocaml 3.10.0


* Thu Jan 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-10mdv2007.0
+ Revision: 113149
- rebuild for new ocaml
- Import ocaml-lablgtk

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-9mdv2007.0
- Rebuild

* Wed Apr 26 2006 Pixel <pixel@mandriva.com> 1.2.7-8mdk
- rebuild for new ocaml

* Thu Jan 26 2006 Pixel <pixel@mandriva.com> 1.2.7-7mdk
- only the stublibs are non-devel stuff (ie not requiring ocaml)

* Mon Jan 23 2006 Pixel <pixel@mandriva.com> 1.2.7-6mdk
- rebuild for new ocaml

* Fri Jan 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-5mdk
- spec cleanup
- splti devel file in subpackage

* Mon Nov 07 2005 Pixel <pixel@mandriva.com> 1.2.7-4mdk
- rebuild for new ocaml

* Thu Nov 03 2005 Pixel <pixel@mandriva.com> 1.2.7-3mdk
- rebuild for ocaml 3.08.3 (otherwise some builds fail) (thanks to Anssi Hannula)

* Sun Feb 06 2005 Pixel <pixel@mandrakesoft.com> 1.2.7-2mdk
- rebuild for ocaml 3.08.2 (otherwise one get error "... inconsistent assumptions over implementation Thread")

* Tue Nov 23 2004 Pixel <pixel@mandrakesoft.com> 1.2.7-1mdk
- new release

* Tue Nov 23 2004 Pixel <pixel@mandrakesoft.com> 1.2.6-3mdk
- rebuild

* Mon Oct 11 2004 Pascal Terjan <pterjan@mandrake.org> 1.2.6-2mdk
- drop patch

